<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejemplo de botones</title>
	<script type="text/javascript">
		
		window.addEventListener("load", function(){
		
		let botones=document.querySelectorAll("button");
		
		let resultado=document.querySelector("#divResultado");

		for (let i = 0; i < botones.length; i++) {
			botones[i].addEventListener("click", function(e){
			  let boton=e.target.innerHTML;
			  let r=0;
			  switch (boton) {
			  	case "1":
			  		r=1;
			  		break;
			  	case "2":
			  		r=2;
			  		break;
			  	case "3":
			  		r=3;
			  		break;
			  	case "4":
			  		r=4;
			  		break;			  	
			  }
			  resultado.innerHTML+=r;
			});
		}

		});



	</script>
</head>
<body>
	<button type="button">1</button>
	<button type="button">2</button>
	<button type="button">3</button>
	<button type="button">4</button>

	<div id="divResultado"></div>
</body>
</html>